Package org.h2gis.functions.spatial.properties

## Class ST_Explode.ExplodeResultSet

- java.lang.Object
- - org.h2gis.functions.spatial.properties.ST_Explode.ExplodeResultSet

All Implemented Interfaces:
  `org.h2.tools.SimpleRowSource`

Direct Known Subclasses:
  `ST_Explode.ExplodeResultSetQuery`

Enclosing class:
  ST_Explode

    public static class ST_Explode.ExplodeResultSet
    extends Object
    implements org.h2.tools.SimpleRowSource

Explode fields only on request

### Field Summary

Fields
`int` `columnCount`
`Connection` `connection`
`int` `explodeId`
`boolean` `firstRow`
`Queue<org.locationtech.jts.geom.Geometry>` `sourceRowGeometries`
`int` `spatialFieldIndex`
`String` `spatialFieldName`
`String` `tableName`
`ResultSet` `tableQuery`

### Constructor Summary

Constructors
`ExplodeResultSet​(Connection connection, String tableName, String spatialFieldName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`ResultSet` `getResultSet()` Return the exploded geometries as multiple rows
`Object[]` `readRow()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### firstRow

    public boolean firstRow

#### tableQuery

    public ResultSet tableQuery

#### tableName

    public String tableName

#### spatialFieldName

    public String spatialFieldName

#### spatialFieldIndex

    public int spatialFieldIndex

#### columnCount

    public int columnCount

#### sourceRowGeometries

    public Queue<org.locationtech.jts.geom.Geometry> sourceRowGeometries

#### explodeId

    public int explodeId

#### connection

    public Connection connection

### Constructor Detail

#### ExplodeResultSet

    public ExplodeResultSet​(Connection connection,
                            String tableName,
                            String spatialFieldName)
                     throws SQLException

Throws:
  `SQLException`

### Method Detail

#### readRow

    public Object[] readRow()
                     throws SQLException

Specified by:
  `readRow` in interface `org.h2.tools.SimpleRowSource`
Throws:
  `SQLException`

#### close

    public void close()

Specified by:
  `close` in interface `org.h2.tools.SimpleRowSource`

#### reset

    public void reset()
               throws SQLException

Specified by:
  `reset` in interface `org.h2.tools.SimpleRowSource`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Return the exploded geometries as multiple rows

Returns:
Throws:
  `SQLException`